<script setup>
import { ref,onMounted  } from "vue";
import {Link} from "@inertiajs/vue3";
import {UseUserStore} from "@/Stores/UserStore";

const userStore = UseUserStore();
const emits = defineEmits(['deleteFavorite'])

const isLike = ref(false);

const addFavorite = () => {
    userStore.addLiked(props.item.id, true);
    isLike.value = convertToBool(userStore.getLike(props.item.id));
};

const delFavorite = () => {
    userStore.addLiked(props.item.id, false);
    isLike.value = convertToBool(userStore.getLike(props.item.id));
    emits('deleteFavorite');
};

function convertToBool(val){
    return val == 'true' ? true : false ;
}

onMounted(() => {
    let itemValue = userStore.getLike(props.item.id) || false;
    isLike.value = convertToBool(itemValue);
})


const props = defineProps({
    item: Object,
    game: Object,
    category: Object,
    name: String,
    icon: String,
    price: Number,
    quantity: Number,

    colorFeatures: Object,
    iconFeatures: Object,
    textFeatures: Object,

});

const createNotification = ref(false);

</script>

<template>
    <!--       liked-->
    <Link :href="route('market.item',{game:game.id,category:category.id,item:item.id})"
       class="marketBottom__card"
        :class="{ liked:isLike, disactive:item.quantity === 0 }"
    >
        <svg @click.prevent="addFavorite"
            class="marketBottom__like green"
            width="29"
            height="27"
            viewbox="0 0 29 27"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <path
                d="M0.785156 9.16334C0.785156 15.047 5.71583 20.834 13.4916 25.8061C13.7955 25.9856 14.2099 26.179 14.4999 26.179C14.7899 26.179 15.2043 25.9856 15.4943 25.8061C23.2839 20.834 28.2146 15.047 28.2146 9.16334C28.2146 4.27415 24.8584 0.821289 20.3835 0.821289C17.8146 0.821289 15.7429 2.03669 14.4999 3.90119C13.2569 2.05048 11.1713 0.821289 8.61623 0.821289C4.14137 0.821289 0.785156 4.27415 0.785156 9.16334ZM3.00883 9.16334C3.00883 5.48955 5.38435 3.0449 8.5886 3.0449C11.1852 3.0449 12.663 4.66084 13.5607 6.04201C13.9336 6.59446 14.1684 6.74638 14.4999 6.74638C14.8314 6.74638 15.0386 6.58061 15.439 6.04201C16.3782 4.68848 17.8284 3.0449 20.4111 3.0449C23.6154 3.0449 25.991 5.48955 25.991 9.16334C25.991 14.3012 20.5631 19.8395 14.7761 23.6791C14.638 23.7758 14.5551 23.8449 14.4999 23.8449C14.4446 23.8449 14.348 23.7758 14.2098 23.6791C8.43668 19.8395 3.00883 14.3012 3.00883 9.16334Z"
                fill="#686868"
            ></path>
        </svg>
        <svg
            @click.prevent="delFavorite"
            class="marketBottom__like liked"
            width="28"
            height="26"
            viewbox="0 0 28 26"
            fill="none"
            xmlns="http://www.w3.org/2000/svg"
        >
            <path
                d="M0.700928 8.79458C0.700928 14.5 5.48218 20.1116 13.0224 24.933C13.317 25.1071 13.7188 25.2946 14.0001 25.2946C14.2813 25.2946 14.6831 25.1071 14.9644 24.933C22.5179 20.1116 27.2992 14.5 27.2992 8.79458C27.2992 4.05355 24.0447 0.705322 19.7054 0.705322C17.2144 0.705322 15.2054 1.88389 14.0001 3.69189C12.7947 1.89727 10.7724 0.705322 8.2947 0.705322C3.95544 0.705322 0.700928 4.05355 0.700928 8.79458Z"
                fill="#FF6854"
            ></path>
        </svg>
        <div class="marketBottom__tags">
            <img v-for="iconFeate in item.iconFeatures" :src="iconFeate.icon" alt="" class="marketBottom__tag">
        </div>
        <!-- <img class="marketBottom__card-img" src="img/market/tomb.png" alt="" /> -->
        <img class="marketBottom__card-img" :src="item.image" alt="" />
        <p class="marketBottom__card-title">
            {{ item.name }}
        </p>
        <div class="marketBottom__card-bottom">
<!--            текстовая ха-ка-->
            <p v-for="txt in item.textFeatures" class="marketBottom__card-author">{{ txt.value }}</p>
            <p class="marketBottom__card-price">
                <span>от</span>{{ item.price }} ₽
            </p>
        </div>
        <div class="marketBottom__effect"></div>

        <div class="marketBottom__out">
            <p class="marketBottom__out-title">Нет в наличии</p>
<!--            <button @click.prevent="createNotification = !createNotification"-->
<!--                    v-if='createNotification === false'-->
<!--                    class="marketBottom__out-button button" href="">-->
<!--                Уведомить о пуступлении-->
<!--            </button>-->
<!--            <button @click.prevent="createNotification = !createNotification"-->
<!--                    v-else class="marketBottom__out-button button green"-->
<!--                    href>Уведомление активно-->
<!--            </button>-->
        </div>
<!--        -->
    </Link>
</template>

<style></style>
